unit Nappula;
{
   TNappula  - perusnappula, jossa automaattiraahaus pll
   TNappulaX - nappula, jossa X
   TNappulaO - nappula, jossa O

   13.10.1997/Vesa Lappalainen
}

interface

uses SysUtils, Classes,
{$ifdef CLX}
  QGraphics, QControls, QForms, QDialogs, QStdCtrls;
{$else}
  Windows, Messages,
  Graphics, Controls, Forms, Dialogs, StdCtrls;
{$endif}

type
  TNappula = class(TLabel)
  private
  protected
  public
    constructor Create(AOwner : TComponent); override;
  published
  end;

  TNappulaX = class(TNappula)
  private
  protected
  public
    constructor Create(AOwner : TComponent); override;
  published
  end;

  TNappulaO = class(TNappula)
  private
  protected
  public
    constructor Create(AOwner : TComponent); override;
  published
  end;

procedure Register;

implementation

constructor TNappula.Create(AOwner : TComponent);
begin
  Inherited;
  Caption := ' ';
  Font.Size := 24;
  Font.Style := [fsBold];
  DragMode := dmAutomatic;
  Top := 2;
  Left := 2;
  Height := 30;
  Width := 30;
  Align := alTop;
  Alignment := taCenter;
  Transparent := true;
end;

constructor TNappulaX.Create(AOwner : TComponent);
begin
  Inherited;
  Caption := 'X';
end;

constructor TNappulaO.Create(AOwner : TComponent);
begin
  Inherited;
  Caption := 'O';
end;

procedure Register;
begin
  RegisterComponents('TicTac', [TNappula]);
  RegisterComponents('TicTac', [TNappulaO]);
  RegisterComponents('TicTac', [TNappulaX]);
end;

end.
